#!/usr/bin/perl
######################################################################
# HTML Cleaner                            Version 1.0                #
# Copyright 1999 Frederic TYNDIUK (FTLS)  All Rights Reserved.       #
# E-Mail: tyndiuk@ftls.org                Script License: GPL        #
# Created  10/24/99                       Last Modified 10/24/99     #
# Scripts Archive at:                     http://www.ftls.org/cgi/   #
######################################################################
# Function :                                                         #
# Suppress All doubles Space and double back line into a HTML page.  #
######################################################################
##################### license & copyright header #####################
#                                                                    #
#                 Copyright (c) 1999 TYNDIUK Frederic                #
#                                                                    #
#  This program is free software; you can redistribute it and/or     #
#  modify it under the terms of the GNU General Public License as    #
#  published by the Free Software Foundation; either version 2 of    #
#  the License, or (at your option) any later version.               #
#                                                                    #
#  This program is distributed in the hope that it will be useful,   #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of    #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     #
#  GNU General Public License for more details.                      #
#                                                                    #
#  You should have received a copy of the GNU General Public License #
#  along with this program in the file 'COPYING'; if not, write to   #
#  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,  #
#  Boston, MA 02111-1307, USA, or contact the author:                #
#                                                                    #
#                              TYNDIUK Frederic <tyndiuk@ftls.org>   #
#                                       <http://www.ftls.org/>       #
#                                                                    #
################### end license & copyright header ###################
######################################################################

$Version = "1.0";
$Copyright  = "HTML Cleaner v$Version (C) 1999 Frederic TYNDIUK (alias FTLS)\n";
$Copyright .= "Report bugs to tyndiuk\@ftls.org, News and Updates: http://www.ftls.org/\n";

	if (@ARGV < 1) { &Usage; }

	while ($ARGV[0] ne "") {
		&CleanHTML($ARGV[0]);
		shift(@ARGV);
	}

sub CleanHTML {
	my($file) = @_;

	print "Clean $file\n";

	open(FILE, "<$file") || die "Cannot open file : $file\n";
	@file = <FILE>;
	close(FILE);
	
	# En : Sauv Old file
	# Fr : Sauvegarde de l'ancien ficier.
	open(FILE, ">$file~") || die "Cannot write file : $file~\n";
	print FILE @file;
	close(FILE);

	$_ = join("", @file);

	# Convert
	s/\r\n/\n/g;
	s/^[\t ]+//gm;
	s/\n\n+/\n/g;
	s/\s\s+/ /g;
	s/<B>\s*<\/B>//gmi;
	s/<i>\s*<\/i>//gmi;
	s/<FONT[^>]*>\s*<\/font>//gmi;
	s/<!--[^>\#\{]*-->//gmi;
	s/<p>\s*<\/p>//gmi;

	open(FILE, ">$file") || die "Cannot write file : $file\n";
	print FILE $_;
	close(FILE);
}

sub Usage {
	print STDERR $Copyright."\n";
	print STDERR ("Usage: $0 FILE [FILE]\n");
	exit 1;
}